Package edu.wisc.game.svg

## Class SvgEcd

- java.lang.Object
- - edu.wisc.game.svg.SvgEcd

-     public class SvgEcd
      extends Object

  Utilities for generating SVG plots for ECD data

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SvgEcd.Point` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static HTMLFmter` | `fm` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvgEcd()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `circle​(SvgEcd.Point center, double radius, String color)` |
    `static String` | `drawFrame​(double xRange)` | Draws the frame around the data field, and prints the tic labels.
    `static String` | `line​(SvgEcd.Point _a, SvgEcd.Point _b, String color)` |
    `static String` | `makeSvgEcd​(String color, double[] sample, double xRange, double yRange)` |
    `static String` | `outerWrap​(String s)` |
    `static String` | `outerWrap​(String s, double W, double H)` |
    `static String` | `rawCircle​(SvgEcd.Point center, double radius, String color)` |
    `static String` | `rawLine​(SvgEcd.Point a, SvgEcd.Point b, String color)` |
    `static String` | `rawText​(double x, double y, String s)` |
    `static String` | `rawText​(double x, double y, String s, String color)` | Puts some text into the specified position on the SVG canvas
    `static edu.wisc.game.svg.SvgEcd.SvgElement` | `rawTextE​(double x, double y, String s, String color)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fm

          public static final HTMLFmter fm

  - ### Constructor Detail

    - #### SvgEcd

          public SvgEcd()

  - ### Method Detail

    - #### rawText

          public static String rawText​(double x,
                                       double y,
                                       String s)

    - #### rawText

          public static String rawText​(double x,
                                       double y,
                                       String s,
                                       String color)

      Puts some text into the specified position on the SVG canvas
      Parameters:
        `x` - The x position, in SVG coordinates
        `y` - The y position, in SVG coordinates

    - #### rawTextE

          public static edu.wisc.game.svg.SvgEcd.SvgElement rawTextE​(double x,
                                                                     double y,
                                                                     String s,
                                                                     String color)

    - #### drawFrame

          public static String drawFrame​(double xRange)

      Draws the frame around the data field, and prints the tic labels.

    - #### rawLine

          public static String rawLine​(SvgEcd.Point a,
                                       SvgEcd.Point b,
                                       String color)

    - #### line

          public static String line​(SvgEcd.Point _a,
                                    SvgEcd.Point _b,
                                    String color)

    - #### circle

          public static String circle​(SvgEcd.Point center,
                                      double radius,
                                      String color)

    - #### rawCircle

          public static String rawCircle​(SvgEcd.Point center,
                                         double radius,
                                         String color)

    - #### makeSvgEcd

          public static String makeSvgEcd​(String color,
                                          double[] sample,
                                          double xRange,
                                          double yRange)

    - #### outerWrap

          public static String outerWrap​(String s)

    - #### outerWrap

          public static String outerWrap​(String s,
                                         double W,
                                         double H)